Package org.apache.lucene.util.hppc

## Class IntIntHashMap.IntCursor

- java.lang.Object
- - org.apache.lucene.util.hppc.IntIntHashMap.IntCursor

- Enclosing class:
    IntIntHashMap

      public final class IntIntHashMap.IntCursor
      extends Object

  Forked from HPPC, holding int index and int value

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `index` | The current value's index in the container this cursor belongs to.
    `int` | `value` | The current value.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IntCursor()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### index

          public int index

      The current value's index in the container this cursor belongs to. The meaning of this index is defined by the container (usually it will be an index in the underlying storage buffer).

    - #### value

          public int value

      The current value.

  - ### Constructor Detail

    - #### IntCursor

          public IntCursor()

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`